[Pkg-mono-svn-commits] rev 2395 - in mono/trunk/debian: . patches

Sebastian Dröge slomo-guest at costa.debian.org
Wed Apr 5 16:42:06 UTC 2006


Author: slomo-guest
Date: 2006-04-05 16:42:05 +0000 (Wed, 05 Apr 2006)
New Revision: 2395

Added:
   mono/trunk/debian/mono-api-check
   mono/trunk/debian/patches/file-io.dpatch
   mono/trunk/debian/patches/resource-manager-boo.dpatch
Modified:
   mono/trunk/debian/changelog
   mono/trunk/debian/control
   mono/trunk/debian/mono-mcs.install
   mono/trunk/debian/patches/00list
Log:
* added mono-api-check and two patches to mono


Modified: mono/trunk/debian/changelog
===================================================================
--- mono/trunk/debian/changelog	2006-04-05 10:33:45 UTC (rev 2394)
+++ mono/trunk/debian/changelog	2006-04-05 16:42:05 UTC (rev 2395)
@@ -58,9 +58,19 @@
       - Added dh_makeclilibs call for 2.0 libraries, with tighter dependencies.
 
   * Sebastian Dröge
+    + Add myself to Uploaders
+    + Added debian/mono-api-check:
+      - small wrapper script for comparing two assemblies and testing whether
+        their API is compatible.
     + debian/patches/unix-end-point-equals.dpatch (SVN rev 57754:57757):
       - Fix Equals() and GetHashCode() of Mono.Unix.UnixEndPoint.
         http://bugzilla.ximian.com/show_bug.cgi?id=77747
+    + debian/patches/file-io.dpatch (SVN rev 57409:58447):
+      - Named pipes and block devices are no directories. Backported
+        from the 1.1.13 branch
+    + debian/patches/resource-manager-boo.dpatch:
+      - Fix the long outstanding breakage of boo. See
+        http://bugzilla.ximian.com/show_bug.cgi?id=77242
 
  -- Debian Mono Group <pkg-mono-group at lists.alioth.debian.org>  Sun, 26 Mar 2006 19:22:47 +0100
 

Modified: mono/trunk/debian/control
===================================================================
--- mono/trunk/debian/control	2006-04-05 10:33:45 UTC (rev 2394)
+++ mono/trunk/debian/control	2006-04-05 16:42:05 UTC (rev 2395)
@@ -2,7 +2,7 @@
 Section: interpreters
 Priority: optional
 Maintainer: Debian Mono Group <pkg-mono-group at lists.alioth.debian.org>
-Uploaders: Eduard Bloch <blade at debian.org>, Mirco Bauer <meebey at meebey.net>
+Uploaders: Eduard Bloch <blade at debian.org>, Mirco Bauer <meebey at meebey.net>, Sebastian Dröge <slomo at ubuntu.com>
 Build-Depends: debhelper (>= 5.0.0), libglib2.0-dev (>= 2.4), bison, libtool, dpatch, libxslt1-dev, dc, libx11-dev, libxt-dev, libgc-dev [kfreebsd-i386]
 Standards-Version: 3.6.2.1
 

Added: mono/trunk/debian/mono-api-check
===================================================================
--- mono/trunk/debian/mono-api-check	2006-04-05 10:33:45 UTC (rev 2394)
+++ mono/trunk/debian/mono-api-check	2006-04-05 16:42:05 UTC (rev 2395)
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+MONO_API_INFO=/usr/lib/mono/1.0/mono-api-info.exe
+MONO_API_DIFF=/usr/lib/mono/1.0/mono-api-diff.exe
+
+API_OLD=`tempfile`
+API_NEW=`tempfile`
+API_DIFF=`tempfile`
+
+if [ ! -e "$1" -a ! -e "$2" ]
+then
+	echo "usage: api-check old.dll new.dll"
+	exit 1
+fi
+
+${MONO_API_INFO} "$1" > ${API_OLD}
+${MONO_API_INFO} "$2" > ${API_NEW}
+${MONO_API_DIFF} ${API_OLD} ${API_NEW} > ${API_DIFF}
+
+name=`head -n3 ${API_DIFF} | tail -n1 | sed 's;\ ;\n;g' | grep ^name | cut -d\= -f2 | sed 's;\";;g'`
+missing_total=`head -n3 ${API_DIFF} | tail -n1 | sed 's;\ ;\n;g' | grep ^missing_total | cut -d\= -f2 | sed 's;\";;g'`
+extra_total=`head -n3 ${API_DIFF} | tail -n1 | sed 's;\ ;\n;g' | grep ^extra_total | cut -d\= -f2 | sed 's;\";;g'`
+
+printf "CLI API Check\n"
+printf "Assembly Name:\t\t%s\n" $name
+printf "Missing Interfaces:\t%d\n" $missing_total
+printf "Additional Interfaces:\t%d\n\n" $extra_total
+
+if [ $missing_total ]
+then
+	if [ $missing_total -gt 0 ]
+	then
+		printf "The two assemblies you compared are NOT API compatible!\n"
+		printf "You must use a new package name!\n\n"
+	fi
+fi
+
+if [ $extra_total ]
+then
+	if [ $extra_total -gt 0 ]
+	then
+		printf "The new assembly has additional interfaces. You must raise\n"
+		printf "the minimal version in clilibs!\n"
+	fi
+fi
+
+rm -f ${API_OLD} ${API_NEW} ${API_DIFF}


Property changes on: mono/trunk/debian/mono-api-check
___________________________________________________________________
Name: svn:executable
   + *

Modified: mono/trunk/debian/mono-mcs.install
===================================================================
--- mono/trunk/debian/mono-mcs.install	2006-04-05 10:33:45 UTC (rev 2394)
+++ mono/trunk/debian/mono-mcs.install	2006-04-05 16:42:05 UTC (rev 2395)
@@ -1,2 +1,3 @@
 debian/tmp/usr/bin/
 debian/tmp/usr/lib/mono/1.0/*.exe*
+debian/mono-api-check /usr/bin

Modified: mono/trunk/debian/patches/00list
===================================================================
--- mono/trunk/debian/patches/00list	2006-04-05 10:33:45 UTC (rev 2394)
+++ mono/trunk/debian/patches/00list	2006-04-05 16:42:05 UTC (rev 2395)
@@ -1,3 +1,5 @@
 remove_broken_dllmap_from_mono-shlib-cop.dpatch
 unix-end-point-serialize.dpatch
 unix-end-point-equals.dpatch
+file-io.dpatch
+resource-manager-boo.dpatch

Added: mono/trunk/debian/patches/file-io.dpatch
===================================================================
--- mono/trunk/debian/patches/file-io.dpatch	2006-04-05 10:33:45 UTC (rev 2394)
+++ mono/trunk/debian/patches/file-io.dpatch	2006-04-05 16:42:05 UTC (rev 2395)
@@ -0,0 +1,34 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+
+ at DPATCH@
+
+--- mono/mono/metadata/file-io.c	2006/02/28 18:14:03	57409
++++ mono/mono/metadata/file-io.c	2006/03/24 16:50:25	58447
+@@ -6,7 +6,7 @@
+  *	Gonzalo Paniagua Javier (gonzalo at ximian.com)
+  *
+  * (C) 2001,2002,2003 Ximian, Inc.
+- * Copyright (c) 2004,2005 Novell, Inc. (http://www.novell.com)
++ * Copyright (c) 2004,2005,2006 Novell, Inc. (http://www.novell.com)
+  */
+ 
+ #include <config.h>
+@@ -337,7 +337,7 @@
+ 	if (result == -1)
+ 		return FALSE;
+ 
+-	if ((buf.st_mode & S_IFLNK) != 0) {
++	if (S_ISLNK (buf.st_mode)) {
+ 		result = stat (filename, &linkbuf);
+ 		if (result != -1) {
+ 			buf = linkbuf;
+@@ -351,7 +351,7 @@
+ 		buf.st_mode &= ~S_IFSOCK; /* don't consider socket protection */
+ 
+ 	file_attrs = 0;
+-	if ((buf.st_mode & S_IFDIR) != 0)
++	if (S_ISDIR (buf.st_mode))
+ 		file_attrs |= FILE_ATTRIBUTE_DIRECTORY;
+ 	else
+ 		file_attrs |= FILE_ATTRIBUTE_ARCHIVE;
+

Added: mono/trunk/debian/patches/resource-manager-boo.dpatch
===================================================================
--- mono/trunk/debian/patches/resource-manager-boo.dpatch	2006-04-05 10:33:45 UTC (rev 2394)
+++ mono/trunk/debian/patches/resource-manager-boo.dpatch	2006-04-05 16:42:05 UTC (rev 2395)
@@ -0,0 +1,17 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+
+ at DPATCH@
+
+Index: mcs/class/corlib/System.Resources/ResourceManager.cs
+===================================================================
+--- mono/mcs/class/corlib/System.Resources/ResourceManager.cs	(revision 57936)
++++ mono/mcs/class/corlib/System.Resources/ResourceManager.cs	(revision 57937)
+@@ -357,7 +357,7 @@
+ 
+ 			if(set==null && tryParents==true) {
+ 				// avoid endless recursion
+-				if (!culture.Equals (neutral_culture) && !culture.Equals(CultureInfo.InvariantCulture))
++				if (!culture.Equals(CultureInfo.InvariantCulture))
+ 					set = InternalGetResourceSet (culture.Parent, Createifnotexists, tryParents);
+ 			}
+ 


Property changes on: mono/trunk/debian/patches/resource-manager-boo.dpatch
___________________________________________________________________
Name: svn:executable
   + *




More information about the Pkg-mono-svn-commits mailing list